# Module Ocsigen_http_frame.Http_header

    module Http_header: sig .. end

    type http_method =

`|` | `GET`
`|` | `POST`
`|` | `HEAD`
`|` | `PUT`
`|` | `DELETE`
`|` | `TRACE`
`|` | `OPTIONS`
`|` | `CONNECT`
`|` | `LINK`
`|` | `UNLINK`
`|` | `PATCH`

    type http_mode =

`|` | `Query of `(http_method * string)``
`|` | `Answer of `int``
`|` | `Nofirstline`

    type proto =

`|` | `HTTP10`
`|` | `HTTP11`

    type http_header = {

`` | `mode : `http_mode`;`
`` | `proto : `proto`;`
`` | `headers : `Http_headers.t`;`

}

    val get_firstline : http_header ->
           http_mode

    val get_headers : http_header -> Http_headers.t

    val get_headers_value : http_header -> Http_headers.name -> string

    val get_headers_values : http_header ->
           Http_headers.name -> string list

    val get_proto : http_header ->
           proto

    val add_headers : http_header ->
           Http_headers.name -> string -> http_header